Subject: RE: [Ltru] Re: Question

From: "Addison Phillips" <[email-masked]>
Date: Thu, 24 Mar 2005 23:23:34 -0800

> QUESTION:  Should the draft implement region-code stability: (a) by
> preserving all assigned ISO 3166 codes with their original meaning,
> except those that have already been reassigned, and using UN numeric
> codes in the case of future reassignments; (b) by allowing UN codes in
> parallel with ISO 3166 codes, as a preferred alternative, and
> deprecating the ISO codes; or (c) same as (b), but NOT deprecating the
> ISO codes?

I support (a).

Frank has convinced me that I would be in favor of a fourth option (d): same as (a) but include the M.49 codes in the description.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Doug Ewell
> Sent: jeudi 24 mars 2005 22:41
> To: LTRU Working Group
> Subject: [Ltru] Re: Question
> 
> Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:
> 
> >> Are you aware that 'jw' was not documented as an error by
> >> ISO 639 RA/JAC until 2002?
> >
> > No, it wasn't clear whether this was a typo fixed 1988 or a
> > typo fixed 2001, or maybe an old typo fixed long ago but now
> > officially documented.
> 
> It doesn't matter; the result is the same.
> 
> > The in, iw, etc. cases are different, they were no typos.
> 
> It still doesn't matter.  If these codes were ever made available to
> users, they were probably used.
> 
> > Actually it's not very important, do whatever you like, but
> > don't use it to justify FQ or RH later when we come to the
> > region codes. ;-)
> 
> It's not a matter of whatever *I* like.  Please don't go there.  This is
> supposed to be a group effort.  I sure wish more people would speak up
> on this so it wasn't just a matter of "what Frank wants" versus "what
> Doug wants."
> 
> And yes, I will be consistent and describe the same approach for both
> language and country codes, at least until there is some rough consensus
> for doing otherwise.  Right now it's just Frank and Doug bickering about
> it on the list.
> 
> >> Frank, please write a counterproposal.  I don't think it's
> >> accomplishing anything to continue saying "Or we could
> >> totally change the way country codes are handled" without a
> >> document that the WG can discuss.
> >
> > I've already done that using the worst case CS as an example
> > how it would work for a 3066bis-my-way introduced about 1989.
> > Addison added the 3066bis-your-way version for the same case.
> >
> > IMHO these examples were clear, in a 3066bis-your-way all
> > obsolete ISO 3166-1 codes are preserved using UN numbers for
> > some new regions, in a 3066-bis-my-way ISO 3166-1 is used as
> > is, if somebody wants a stable tag (guaranteed for centuries)
> > he's forced to use UN numbers instead of ISO 3166-1.
> 
> All right, let's make it a more-or-less formal...
> 
> QUESTION:  Should the draft implement region-code stability: (a) by
> preserving all assigned ISO 3166 codes with their original meaning,
> except those that have already been reassigned, and using UN numeric
> codes in the case of future reassignments; (b) by allowing UN codes in
> parallel with ISO 3166 codes, as a preferred alternative, and
> deprecating the ISO codes; or (c) same as (b), but NOT deprecating the
> ISO codes?
> 
> I won't bother writing a pro and con for this one.  I think everyone
> interested will be able to judge for themselves.
> 
> > Let's hope that "they" don't deprecate any country code while
> > we are desperately trying to find a compromise.  We still want
> > compatibility with anything that was valid under 1766 / 3066.
> 
> I couldn't agree more.  See my earlier remark about a temporary
> moratorium.
> 
> -Doug Ewell
>  Fullerton, California
>  http://users.adelphia.net/~dewell/
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru